RECLAIM: refactoring; cleanup
[oweals/gnunet.git] / src / gns / test_gns_dht_lookup.sh
1 #!/bin/sh
2 # This file is in the public domain.
3 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4 which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
5
6 LOCATION=$(which gnunet-config)
7 if [ -z $LOCATION ]
8 then
9   LOCATION="gnunet-config"
10 fi
11 $LOCATION --version 1> /dev/null
12 if test $? != 0
13 then
14         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
15         exit 77
16 fi
17
18 TEST_IP="127.0.0.1"
19 MY_EGO="myego"
20 OTHER_EGO="delegatedego"
21
22 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
23 gnunet-arm -s -c test_gns_lookup.conf
24 gnunet-arm -i zonemaster -c test_gns_lookup.conf
25 gnunet-arm -i datastore -c test_gns_lookup.conf
26 gnunet-identity -C $OTHER_EGO -c test_gns_lookup.conf
27 DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep $OTHER_EGO | awk '{print $3}')
28 gnunet-identity -C $MY_EGO -c test_gns_lookup.conf
29 gnunet-namestore -p -z $MY_EGO -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
30 #This works
31 gnunet-namestore -p -z $OTHER_EGO -a -n www -t A -V $TEST_IP -e never -c test_gns_lookup.conf
32 #This doesn't
33 gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
34 sleep 6
35 #gnunet-namestore -p -z $OTHER_EGO -d -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
36 #gnunet-namestore -p -z $OTHER_EGO -a -n www2 -t A -V $TEST_IP -e '5 s' -c test_gns_lookup.conf
37 gnunet-arm -k zonemaster -c test_gns_lookup.conf
38 gnunet-arm -i zonemaster -c test_gns_lookup.conf
39 #gnunet-arm -r -c test_gns_lookup.conf
40 #gnunet-arm -i zonemaster
41 #gnunet-arm -i gns -c test_gns_lookup.conf
42 gnunet-arm -I -c test_gns_lookup.conf
43 #gnunet-identity -D $OTHER_EGO -c test_gns_lookup.conf
44 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
45 #gnunet-namestore -z $OTHER_EGO -d -n www -t A -V $TEST_IP  -e never -c test_gns_lookup.conf
46 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -u www.b.$MY_EGO -t A -c test_gns_lookup.conf`
47 RES_IP_REL=`$DO_TIMEOUT gnunet-gns --raw -u www2.b.$MY_EGO -t A -c test_gns_lookup.conf`
48 #gnunet-namestore -z $MY_EGO -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c test_gns_lookup.conf
49 gnunet-arm -I -c test_gns_lookup.conf
50 gnunet-arm -e -c test_gns_lookup.conf
51 rm -rf `gnunet-config -c test_gns_lookup.conf -f -s paths -o GNUNET_TEST_HOME`
52
53 if [ "$RES_IP_REL" != "$TEST_IP" ]
54 then
55   echo "Failed to resolve to proper IP, got $RES_IP_REL. (relative expiration)"
56   #exit 1
57 fi
58 if [ "$RES_IP" = "$TEST_IP" ]
59 then
60   exit 0
61 else
62   echo "Failed to resolve to proper IP, got $RES_IP."
63   exit 1
64 fi